LIBIDN(1)

NAME
libidn - Internationalized Domain Names command line tool

SYNOPSIS
libidn [OPTIONS]... [STRINGS]...

DESCRIPTION
libidn 0.5.6

  Purpose:

    Command line interface to the internationalized domain name library. All strings are expected to be encoded in the preferred charset used by your locale. Use `--debug' to find out what this charset is. You can override the charset used by setting environment variable CHARSET. To process a string that starts with `-', for example `-foo', use `--' to signal the end of parameters, as in `idn --quiet -a -- -foo'.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-s, --stringprep
    Prepare string according to nameprep profile

-d, --punycode-decode
    Decode Punycode

-e, --punycode-encode
    Encode Punycode

-a, --idna-to-ascii
    Convert to ACE according to IDNA (default)

-u, --idna-to-unicode
    Convert from ACE according to IDNA

--allow-unassigned
    Toggle IDNA AllowUnassigned flag (default=off)

--usestd3asciirules
    Toggle IDNA UseSTD3ASCIIRules flag (default=off)

-t, --tld
    Check string for TLD specific rules Only for --idna-to-ascii and --idna-to-unicode (default=on)

-p, --profile=STRING
    Use specified stringprep profile instead Valid stringprep profiles are `Nameprep', `iSCSI', `Nodeprep', `Resourceprep', `trace', and `SASLprep'.

--debug
    Print debugging information (default=off)

--quiet
    Silent operation (default=off)

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.